Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(205)

Issue 6870052: code review 6870052: bufio: add ReadLines function (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 7 months ago by bradfitz
Modified:
9 years, 4 months ago
Reviewers:
nigeltao, adg, rog, dfc, golang-dev
Visibility:
Public.

Description

bufio: add ReadLines function API addition proposal, similar to filepath.Walk. Common enough pattern that I get bored of writing all the time, reading lines from a file or other input.

Patch Set 1 #

Patch Set 2 : diff -r 1f3ebf9a7548 https://code.google.com/p/go #

Total comments: 7
Unified diffs Side-by-side diffs Delta from patch set Stats (+74 lines, -0 lines) Patch
M src/pkg/bufio/bufio.go View 1 1 chunk +26 lines, -0 lines 7 comments Download
M src/pkg/bufio/bufio_test.go View 1 2 chunks +48 lines, -0 lines 0 comments Download

Messages

Total messages: 9
bradfitz
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go
9 years, 7 months ago (2012-12-03 20:08:42 UTC) #1
dfc
On 2012/12/03 20:08:42, bradfitz wrote: > Hello mailto:golang-dev@googlegroups.com, > > I'd like you to review ...
9 years, 7 months ago (2012-12-03 21:43:34 UTC) #2
nigeltao
FWIW, I like the general idea. https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go File src/pkg/bufio/bufio.go (right): https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go#newcode621 src/pkg/bufio/bufio.go:621: func ReadLines(r io.Reader, ...
9 years, 7 months ago (2012-12-03 22:38:00 UTC) #3
bradfitz
https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go File src/pkg/bufio/bufio.go (right): https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go#newcode621 src/pkg/bufio/bufio.go:621: func ReadLines(r io.Reader, fn func(line string) error) error { ...
9 years, 7 months ago (2012-12-03 22:49:32 UTC) #4
nigeltao
https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go File src/pkg/bufio/bufio.go (right): https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go#newcode621 src/pkg/bufio/bufio.go:621: func ReadLines(r io.Reader, fn func(line string) error) error { ...
9 years, 7 months ago (2012-12-03 22:52:20 UTC) #5
adg
I don't personally care about this API. No objections, though. https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go File src/pkg/bufio/bufio.go (right): https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go#newcode628 ...
9 years, 7 months ago (2012-12-03 23:22:26 UTC) #6
bradfitz
https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go File src/pkg/bufio/bufio.go (right): https://codereview.appspot.com/6870052/diff/2001/src/pkg/bufio/bufio.go#newcode628 src/pkg/bufio/bufio.go:628: if len(line) > 0 { On 2012/12/03 23:22:27, adg ...
9 years, 7 months ago (2012-12-03 23:25:31 UTC) #7
rog
On 2012/12/03 20:08:42, bradfitz wrote: > Hello mailto:golang-dev@googlegroups.com, > > I'd like you to review ...
9 years, 7 months ago (2012-12-04 11:43:22 UTC) #8
bradfitz
9 years, 4 months ago (2013-02-14 03:34:02 UTC) #9
Message was sent while issue was closed.
Closed; moved to https://code.google.com/p/go/issues/detail?id=4802
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b